Settings - Update
更新有关 Microsoft Defender for Cloud 中不同配置的设置
PUT https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Security/settings/{settingName}?api-version=2021-06-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
setting
|
path | True |
string |
设置的名称 |
|
subscription
|
path | True |
string pattern: ^[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}$ |
Azure 订阅 ID |
|
api-version
|
query | True |
string |
作的 API 版本 |
请求正文
请求正文可以为下列任一内容:
| 名称 | 说明 |
|---|---|
|
Alert |
表示警报同步设置 |
|
Data |
表示数据导出设置 |
AlertSyncSettings
表示警报同步设置
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| kind | True | string: |
设置字符串的类型 |
| properties.enabled | True |
boolean |
是否已启用警报同步设置 |
DataExportSettings
表示数据导出设置
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| kind | True | string: |
设置字符串的类型 |
| properties.enabled | True |
boolean |
是否启用了数据导出设置 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK | Setting: |
还行 |
| Other Status Codes |
描述作失败的原因的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Update a setting for subscription
示例请求
PUT https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/settings/WDATP?api-version=2021-06-01
{
"kind": "DataExportSettings",
"properties": {
"enabled": true
}
}
示例响应
{
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/settings/WDATP",
"name": "WDATP",
"kind": "DataExportSettings",
"type": "Microsoft.Security/settings",
"properties": {
"enabled": true
}
}
定义
| 名称 | 说明 |
|---|---|
|
Alert |
表示警报同步设置 |
|
Cloud |
所有 Azure 资源管理器 API 的常见错误响应,以返回失败作的错误详细信息。 (这也遵循 OData 错误响应格式)。 |
|
Cloud |
错误详细信息。 |
|
Data |
表示数据导出设置 |
|
Error |
资源管理错误附加信息。 |
AlertSyncSettings
表示警报同步设置
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID |
| kind | string: |
设置字符串的类型 |
| name |
string |
资源名称 |
| properties.enabled |
boolean |
是否已启用警报同步设置 |
| type |
string |
资源类型 |
CloudError
所有 Azure 资源管理器 API 的常见错误响应,以返回失败作的错误详细信息。 (这也遵循 OData 错误响应格式)。
| 名称 | 类型 | 说明 |
|---|---|---|
| error.additionalInfo |
错误附加信息。 |
|
| error.code |
string |
错误代码。 |
| error.details |
错误详细信息。 |
|
| error.message |
string |
错误消息。 |
| error.target |
string |
错误目标。 |
CloudErrorBody
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
DataExportSettings
表示数据导出设置
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID |
| kind | string: |
设置字符串的类型 |
| name |
string |
资源名称 |
| properties.enabled |
boolean |
是否启用了数据导出设置 |
| type |
string |
资源类型 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |